summaryrefslogtreecommitdiffstats
path: root/scripts/pkg-config-wrapper
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2006-01-03 17:09:58 +0000
committerMarc Kleine-Budde <mkl@pengutronix.de>2006-01-03 17:09:58 +0000
commit1922ff91dc509dc6dbc492b3227552099f9603c9 (patch)
treeb51b5743d7f627e2f3cebbbe3582ae42ce5ee235 /scripts/pkg-config-wrapper
parent58249d78eb62d702edc8d5a4ca0461c5aad21af0 (diff)
downloadptxdist-1922ff91dc509dc6dbc492b3227552099f9603c9.tar.gz
ptxdist-1922ff91dc509dc6dbc492b3227552099f9603c9.tar.xz
* scripts/pkg-config-wrapper:
fail if pgk-config fails git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-0.9-trunk@3713 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'scripts/pkg-config-wrapper')
-rwxr-xr-xscripts/pkg-config-wrapper15
1 files changed, 3 insertions, 12 deletions
diff --git a/scripts/pkg-config-wrapper b/scripts/pkg-config-wrapper
index bd081b155..6b0361fa4 100755
--- a/scripts/pkg-config-wrapper
+++ b/scripts/pkg-config-wrapper
@@ -26,19 +26,10 @@ export PKG_CONFIG_ALLOW_SYSTEM_LIBS=1
# paths leading to host libraries; using -Wl,-lfoo seems to work.
#
-$PKGCONFIG $* |
+OUTPUT=`$PKGCONFIG $*` || exit $?
+
+echo -n $OUTPUT |
sed -e "s~\-L/*$SYSROOT/*~-L=/~g; s~\-I/*$SYSROOT/*~-I=/~g;" | # 1)
sed -e "s~\-L/~-L=/~g; s~\-I/~-I=/~g;" | # 2)
sed -e "s~\-L\=~-L$SYSROOT~g; s~\-I\=~-I$SYSROOT~g;" | # 3)
sed -e "s~[\t ]\-l~ -Wl,-l~g;" # 4)
-
-if [ "$?" = "0" ]; then
- #echo "-----pkg-config-wrapper-----" >&2
- #echo "PKG_CONFIG_LIBDIR=$PKG_CONFIG_LIBDIR" >&2
- #echo "PKG_CONFIG_PATH=$PKG_CONFIG_PATH" >&2
- #echo "----------------------------" >&2
- exit 0;
-else
- echo "pkg-config failed!" >&2
- exit 1
-fi